Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class Title

    java.lang.Object
      portlets.compoze.groupware.addressbook.Title

All Implemented Interfaces:
  java.io.Serializable

public class Title
extends java.lang.Object
implements java.io.Serializable

This class represents the name title.

See Also:
  Serialized Form

Field Summary
`static Title` | `TITLE_DR` This value represents a 'Dr.' title.
`static Title` | `TITLE_MISS` This value represents a 'Miss' title.
`static Title` | `TITLE_MR` This value represents a 'Mr.' title.
`static Title` | `TITLE_MRS` This value represents a 'Mrs.' title.
`static Title` | `TITLE_MS` This value represents a 'MS.' title.
`static Title` | `TITLE_PROF` This value represents a 'Prof.' title.
`static int` | `VALUE_DR` This value represents the 'Dr.' value.
`static int` | `VALUE_MISS` This value represents the 'Miss' value.
`static int` | `VALUE_MR` This value represents the 'Mr.' value.
`static int` | `VALUE_MRS` This value represents the 'Mrs.' value.
`static int` | `VALUE_MS` This value represents the 'MS.' value.
`static int` | `VALUE_PROF` This value represents the 'Prof.' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Title` | `get(int iValue)` Gets the title by the value.
`java.lang.String` | `getKey()` Gets the key (title name) for i18n.
`static java.util.List` | `getTitles()` Gets the list of title objects.
`int` | `getValue()` Gets the value of the title.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_MR

    public static final int VALUE_MR

  This value represents the 'Mr.' value.

  See Also:
    Constant Field Values

### VALUE_MRS

    public static final int VALUE_MRS

  This value represents the 'Mrs.' value.

  See Also:
    Constant Field Values

### VALUE_MISS

    public static final int VALUE_MISS

  This value represents the 'Miss' value.

  See Also:
    Constant Field Values

### VALUE_MS

    public static final int VALUE_MS

  This value represents the 'MS.' value.

  See Also:
    Constant Field Values

### VALUE_DR

    public static final int VALUE_DR

  This value represents the 'Dr.' value.

  See Also:
    Constant Field Values

### VALUE_PROF

    public static final int VALUE_PROF

  This value represents the 'Prof.' value.

  See Also:
    Constant Field Values

### TITLE_MR

    public static final Title TITLE_MR

  This value represents a 'Mr.' title.

### TITLE_MRS

    public static final Title TITLE_MRS

  This value represents a 'Mrs.' title.

### TITLE_MISS

    public static final Title TITLE_MISS

  This value represents a 'Miss' title.

### TITLE_MS

    public static final Title TITLE_MS

  This value represents a 'MS.' title.

### TITLE_DR

    public static final Title TITLE_DR

  This value represents a 'Dr.' title.

### TITLE_PROF

    public static final Title TITLE_PROF

  This value represents a 'Prof.' title.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (title name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the title.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static Title get(int iValue)

  Gets the title by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching title or `null` if not found

### getTitles

    public static java.util.List getTitles()

  Gets the list of title objects.

  Returns:
    the list of `Title` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.